### Hierarchy

- RegExp

## Index

### Properties

- flags
- sticky
- unicode

## Properties

### flags

flags: string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.core.d.ts:374

Returns a string indicating the flags of the regular expression in question. This field is read-only. The characters in this string are sequenced and concatenated in the following order:

- "g" for global
- "i" for ignoreCase
- "m" for multiline
- "u" for unicode
- "y" for sticky

If no flags are set, the value is the empty string.

### sticky

sticky: boolean

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.core.d.ts:380

Returns a Boolean value indicating the state of the sticky flag (y) used with a regular expression. Default is false. Read-only.

### unicode

unicode: boolean

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.core.d.ts:386

Returns a Boolean value indicating the state of the Unicode flag (u) used with a regular expression. Default is false. Read-only.

Generated using TypeDoc